> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# [BETA] Get Toppie Campaigns

> Retrieve a list of campaigns associated with a specific account.



## OpenAPI

````yaml /openapi.json get /public/v1/toppie/campaigns
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/toppie/campaigns:
    get:
      tags:
        - Toppie API
      summary: '[BETA] Get Toppie Campaigns'
      description: Retrieve a list of campaigns associated with a specific account.
      operationId: list_account_campaigns
      parameters:
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              Pagination cursor as provided in an earlier response. If provided
              will fetch the next page of results.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            Pagination cursor as provided in an earlier response. If provided
            will fetch the next page of results.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Limit of accounts to retrieve.
            default: 100
          description: Limit of accounts to retrieve.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Advanced_APIs_GetPublicAgencyCampaignsResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_GetPublicAgencyCampaignsResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        campaigns:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicAgencyCampaign'
          type: array
          title: Campaigns
          description: List of campaigns that belong to the agency
      type: object
      required:
        - hasMore
        - campaigns
      title: GetPublicAgencyCampaignsResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_PublicAgencyCampaign:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Internal identifier for the agency campaign
        name:
          type: string
          title: Name
          description: Campaign name
        adFormat:
          $ref: '#/components/schemas/Advanced_APIs_AgencyCampaignType'
          description: The ad format for this campaign
        chargeType:
          $ref: '#/components/schemas/Advanced_APIs_ChargeType'
          description: The charge type for this campaign
        accountId:
          type: string
          format: uuid
          title: Accountid
          description: Account that owns this campaign
        budget:
          type: integer
          title: Budget
          description: Total budget for this campaign
        bidCount:
          title: Bidcount
          description: Bid count for the campaign (optional)
          oneOf:
            - type: integer
            - type: 'null'
        budgetPeriod:
          $ref: '#/components/schemas/Advanced_APIs_BudgetPeriodType'
          description: The periodicity of the budget
        startDate:
          type: string
          format: date-time
          title: Startdate
          description: >-
            Date when the campaign starts, specified in [RFC
            3339](https://www.rfc-editor.org/rfc/rfc3339#section-5.6). Must
            include the Timezone definition.
        endDate:
          type: string
          format: date-time
          title: Enddate
          description: >-
            Date when the campaign ends, specified in [RFC
            3339](https://www.rfc-editor.org/rfc/rfc3339#section-5.6). Must
            include the Timezone definition.
        targetRoas:
          type: number
          maximum: 20
          minimum: 0.5
          title: Targetroas
          description: Target ROAS for the campaign
        currencyCode:
          type: string
          title: Currencycode
          description: Currency code this campaign is working with in ISO 4217 format
          examples:
            - USD
        isActive:
          type: boolean
          title: Isactive
          description: Flag to indicate if the campaign is active or not
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: Date and time when the campaign was created
      type: object
      required:
        - id
        - name
        - adFormat
        - chargeType
        - accountId
        - budget
        - budgetPeriod
        - startDate
        - endDate
        - targetRoas
        - currencyCode
        - isActive
        - createdAt
      title: PublicAgencyCampaign
      description: >-
        Represents a public version of an agency campaign, used in API
        responses.
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Advanced_APIs_AgencyCampaignType:
      type: string
      enum:
        - banner
        - listing
      title: AgencyCampaignType
    Advanced_APIs_ChargeType:
      type: string
      enum:
        - CPM
        - CPC
        - CPA
      title: ChargeType
      description: >-
        Campaign charge type.


        CPM: cost per mille impressions

        CPC: cost per click

        CPA: cost per action. CPA reflects the total cost to achieve a
        conversion.
    Advanced_APIs_BudgetPeriodType:
      type: string
      enum:
        - daily
        - weekly
        - monthly
        - total
      title: BudgetPeriodType
      description: The periodicity of the budget.
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````